## Retrieve External Mapping Configuration

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/externalmappingconfiguration"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Structure

#### Successful Response (200)
```json
{
  "m3terEntities": [
    "<string>"
  ],
  "externalSystems": [
    {
      "name": "<string>",
      "tables": [
        "<string>"
      ],
      "allowCustomExternalTables": true
    }
  ]
}
```

#### Error Responses

#### 4XX
```json
{
  "message": "<string>"
}
```

#### 5XX
```json
{
  "message": "<string>"
}
```

### Authorizations

Authorization is required as a header. m3ter supports machine-to-machine authentication using the `clientCredentials` OAuth2 flow. The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

- **orgId** (string, required): The unique identifier (UUID) of your Organization, representing your company as a direct customer of our service.
